Package org.zkoss.zk.au.out

## Class AuEchoGlobal

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuEchoGlobal

-     public class AuEchoGlobal
      extends AuResponse

  A response to ask client to send the specified event for all qualified desktops.

  Notice that, unlike other requests, `AuEchoGlobal` will check all browser windows belonging to the same top browser window -- not just the current browser window.

  Since:
    5.0.4
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuEchoGlobal​(java.lang.String evtnm, java.lang.String data, java.util.Collection<Desktop> dts)` |
    `AuEchoGlobal​(java.lang.String evtnm, java.lang.String data, Desktop dt)` |

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getOverrideKey, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuEchoGlobal

          public AuEchoGlobal​(java.lang.String evtnm,
                              java.lang.String data,
                              Desktop dt)

      Parameters:
        `evtnm` - the event name to echo back
        `data` - the data to sent with the event when echoed back
        `dt` - the desktop to receive the event.

    - #### AuEchoGlobal

          public AuEchoGlobal​(java.lang.String evtnm,
                              java.lang.String data,
                              java.util.Collection<Desktop> dts)

      Parameters:
        `evtnm` - the event name to echo back
        `data` - the data to sent with the event when echoed back
        `dts` - a collection of desktops (`Desktop`) to receive the event.